# Layer settings for GDS to STEP conversion
layers:
  - layer_number: 1/0  # layer 1, datatype 0
    name: base_layer
    thickness: 5.0
    z: 0.0
    operation: substrate
    color: gray
    
  - layer_number: 2/0
    name: middle_layer
    thickness: 5.0
    z: 5.0
    operation: add
    color: gold

  - layer_number: 3/0
    name: top_stack
    thickness: 5.0
    operation: stack
    target_layer: 1/0
    color: blue

  - layer_number: 4/0
    name: cut_layer
    thickness: -5.0
    operation: subtract
    target_layer: 3/0
    color: red

  - layer_number: 5/0
    name: deposit_layer
    thickness: 2.0
    operation: deposit
    target_layer: 3/0
    color: green
    type: polygon

  - layer_number: 6/0
    name: etch_layer
    thickness: -2.0
    operation: etch
    target_layer: 5/0
    color: blue

defaults:
  thickness: 0.0
  z: 0.0
  operation: add
  color: silver
  alpha: 1.0